import sqlite3,os
ruta = os.path.expanduser("~") #este es el directorio /home/user
basedatos = ruta+"/.guallet/guallet.bd"
def crear_base_sqlite3():
    conn = sqlite3.connect(basedatos)
    c = conn.cursor()
    c.execute("CREATE TABLE users (id integer UNIQUE PRIMARY KEY, name VARCHAR(20), money INTEGER)")
    c.execute("CREATE TABLE settings (id integer UNIQUE PRIMARY KEY, type VARCHAR(20), setting VARCHAR(20))")
    c.execute("INSERT INTO settings VALUES(NULL, 'lastuser', 'user'")
    for row in c:
        print row
    conn.commit()
    c.close() 
def anadirusuario_to_base(user):
    conn = sqlite3.connect(basedatos)
    c = conn.cursor()
    usuario = str(user)
    c.execute("CREATE TABLE "+usuario+" (id integer UNIQUE PRIMARY KEY, fecha VARCHAR(20), money INTEGER, concepto TEXT)")
    c.execute("INSERT INTO 'users' VALUES (NULL, '"+usuario+"' , 0)")
    for row in c:
        print row
    conn.commit()
    c.close() 
def set_lastuser(user):
    conn = sqlite3.connect(basedatos)
    c = conn.cursor()
    usuario = str(user)
    c.execute("UPDATE 'settings' SET setting='"+usuario+"' WHERE type='lastuser'")
    conn.commit()
    c.close()
def read_lastuser():
    conn = sqlite3.connect(basedatos)
    c = conn.cursor()
    c.execute("SELECT setting FROM 'settings' WHERE type='lastuser'")
    for row in c:
        user = row[0]
        print user
    conn.commit()
    c.close()
    return user
def inserta_row(cant,desde,fecha,usuario):
    usuario = str(usuario)
    if usuario == "":
        usuario = "user"
    import sqlite3
    conn = sqlite3.connect(basedatos)
    c = conn.cursor()
    sql = "INSERT INTO '"+usuario+"' (id,fecha,money,concepto) values(NULL,'"+fecha+"',"+str(cant)+",'"+desde+"')"
    c.execute(sql)
    conn.commit()
    c.close() 
def leer_euros(usuario):
    import sqlite3,gtk
    if usuario == "":
        usuario = "user"
    mybuffer = gtk.TextBuffer(table=None)
    conn = sqlite3.connect(basedatos)
    c = conn.cursor()
    sql = "select * from '"+usuario+"'"
    c.execute(sql)
    for row in c:
        #~ print row[2]
        antes = mybuffer.get_text(mybuffer.get_start_iter(),mybuffer.get_end_iter(),True)
        if antes == "":
            antes = 0
        #~ antes = int(antes)
        antes = float(antes)
        row = float(row[2])
        ahora = row + antes
        ahora = str(ahora)
        mybuffer.set_text(ahora)
    cantidad = mybuffer.get_text(mybuffer.get_start_iter(),mybuffer.get_end_iter(),True)
    print cantidad
    conn.commit()
    c.close()
    return cantidad
def leer_usuarios():
    lista = []
    import sqlite3
    conn = sqlite3.connect(basedatos)
    c = conn.cursor()
    sql = "SELECT * FROM 'users'"
    c.execute(sql)
    for row in c:
        linea = row[1]
        print linea
        linea = str(linea)
        lista = lista + [linea]
    conn.commit()
    c.close()
    return lista
def crearbasesqlite():
    import sqlite3,os
    basededatos = basedatos
    print "1"
    os.mkdir(ruta+"/.guallet")
    filebase = os.open(basededatos,os.O_CREAT)
    #~ filebase.write("A")
    #~ filebase = os.fdopen(basededatos,os.O_RDWR)
    print "2"
    #~ filebase.close()
    print "3"
    #~ os.mkfifo(basededatos)
    conn = sqlite3.connect(basededatos)
    c = conn.cursor()
    c.execute("CREATE TABLE users (id integer UNIQUE PRIMARY KEY, name VARCHAR(20), money INTEGER)")
    c.execute("CREATE TABLE settings (id integer UNIQUE PRIMARY KEY, type VARCHAR(20), setting VARCHAR(20))")
    c.execute("CREATE TABLE 'user' (id integer UNIQUE PRIMARY KEY, fecha VARCHAR(20), money INTEGER, concepto TEXT)")
    c.execute("INSERT INTO settings VALUES(NULL, 'lastuser', 'user')")
    c.execute("INSERT INTO users VALUES(NULL, 'user', 0)")
    c.execute("INSERT INTO 'user' (id,fecha,money,concepto) VALUES(NULL, '25-04-2011', 0,'Desconocido')")
    for row in c:
        print row
    conn.commit()
    c.close()
