#!/usr/bin/env python
#-*- coding:utf-8 -*-
# example basictreeview.py

import pygtk
pygtk.require('2.0')
import gtk

class WindowOfMovimientos:

    # close the window and quit
    def delete_event(self, widget, event, data=None):
        self.window.hide()
        return gtk.FALSE

    def read_basedatos(self,widget):
        None

    def __init__(self,user):
        
        self.elusuario = str(user)
        self.elusuario = self.elusuario.lower()
        print self.elusuario
        
        # Create a new window
        self.window = gtk.Window(gtk.WINDOW_TOPLEVEL)
        # Creamos una ventana
        self.window.set_title("Movimientos de la cartera")
        # Pedimos un tamaño determinado
        self.window.set_size_request(400, 200)
        # Conectamos la señal de cerrar correspondiente
        self.window.connect("delete_event", self.delete_event)
        # Crear un TreeStore con una columna de cadena
        self.liststore = gtk.ListStore(str,str,str,str)
        
        self.treeview = gtk.TreeView(self.liststore)
        
        self.tvcolumn = gtk.TreeViewColumn('Id')
        self.tvcolumn1 = gtk.TreeViewColumn('Fecha')
        self.tvcolumn2 = gtk.TreeViewColumn('Concepto')
        self.tvcolumn3 = gtk.TreeViewColumn('Dinero (€)')
        
        lista = []
        import sqlite3,os
        ruta = os.path.expanduser("~") #este es el directorio /home/user
        basedatos = ruta+"/.guallet/guallet.bd"
        conn = sqlite3.connect(basedatos)
        c = conn.cursor()
        sql = "SELECT * FROM '"+self.elusuario+"'"
        c.execute(sql)
        for row in c:
            self.liststore.append([row[0],row[1],row[3],row[2]])
            print row
        conn.commit()
        c.close()
        
        #~ self.liststore.append(['Parent 1','hello 1','good 1','bad1'])
        #~ self.liststore.append(['Parent 2','hello 2','good 2','bad2'])
        #~ self.liststore.append(['Parent 3','hello 3','good 3','bad3'])
        
        self.treeview.append_column(self.tvcolumn)
        self.treeview.append_column(self.tvcolumn1)
        self.treeview.append_column(self.tvcolumn2)
        self.treeview.append_column(self.tvcolumn3)
        
        #~ self.cellpb = gtk.CellRendererPixbuf()
        self.cell = gtk.CellRendererText()
        self.cell1 = gtk.CellRendererText()
        self.cell2 = gtk.CellRendererText()
        self.cell3 = gtk.CellRendererText()
        
        #~ self.tvcolumn.pack_start(self.cellpb, False)
        self.tvcolumn.pack_start(self.cell, True)
        self.tvcolumn1.pack_start(self.cell1, True)
        self.tvcolumn2.pack_start(self.cell2, True)
        self.tvcolumn3.pack_start(self.cell3, True)
        
        self.tvcolumn.set_attributes(self.cell, text=0)
        self.tvcolumn1.set_attributes(self.cell1, text=1)
        self.tvcolumn2.set_attributes(self.cell2, text=2)
        self.tvcolumn3.set_attributes(self.cell3, text=3)
        #~ self.tvcolumn.set_cell_data_func(self.cellpb, self.make_pb)
        
        self.treeview.set_search_column(0)
        self.tvcolumn.set_sort_column_id(0)
        self.tvcolumn1.set_sort_column_id(0)
        self.tvcolumn2.set_sort_column_id(0)
        self.tvcolumn3.set_sort_column_id(0)
        self.treeview.set_reorderable(True)
        
        self.window.add(self.treeview)
        
        self.window.show_all()

if __name__ == "__main__":
    tvexample = WindowOfMovimientos()
    gtk.main()
