#!/usr/bin/python
#-*- coding: utf8 -*-
import gtk, time,os
import gobject
from gtk import glade
from gualletlib import insertarbd
from gualletlib import crearsqlite
from gualletlib import ventana
from gualletlib import crearbase

class guallet:
    def __init__(self):
        #<Crear la base de datos>
        if (os.name == 'posix'):
            #Crear carpeta en home (.wallet) y dentro la base de datos
            #Hacer con os.path.expanduser('~')
            dirhome = os.path.expanduser('~')
            diroculto = dirhome+"/.guallet/"
            dirbaseoc = diroculto+"guallet.bd"
            if os.path.exists(diroculto):
                None
            else:
                os.mkdir(diroculto)
            if os.path.exists(dirbaseoc):
                None
            else:
                crearbase.crearbase(dirbaseoc)
        elif (os.name == 'nt'):
            None #Investigando sobre ello...
         #</crear la base de datos>
        self.glfile = glade.XML("/usr/share/guallet/guallet.glade")
        #obtenemos la ventana principal
        self.window = self.glfile.get_widget("window1")
        # la mostramos
        self.window.show()
        senales = { "anadir_entradas" : self.buttonanadir , #Botón añadir (ventana principal)
        "checkbutton_changed" : self.checkbutton_changed, #Botón de comprobación "incluir hora"
        "calcular_euros" : self.calceuros, #botón Actualizar
        "archivo_quit_cerrar" : self.cerrarapp, #Botón cerrar aplicación (menú archivo)
        "showdialog" : self.mostraracercade, #mostrar diálogo "acerca de"
        "close_dialog_adduser" : self.close_dialog_adduser,
        "add_user" : self.anadirusuario,
        "adduser_accept": self.adduser_accept,
        "choose_user" : self.choose_user,
        "close_dialog_chooseuser" : self.close_dialog_chooseuser,
        "changeuser_accept" : self.changeuser_accept,
        "ver_movimientos" : self.ver_movimientos }
        #conectar las señales
        self.glfile.signal_autoconnect(senales)
        
        # espacio de la entrada "cantidad"
        self.cant = self.glfile.get_widget("entrycant")
        # espacio de la entrada "obtenido de "
        self.obt = self.glfile.get_widget("entryobt")
        # espacio de la fecha
        self.fecha = self.glfile.get_widget("entryfecha")
        # Radio button si la fecha tiene hora
        self.checkhora = self.glfile.get_widget("checkbutton1")
        # Etiqueta que muestra los euros
        self.leuros = self.glfile.get_widget("labeleuros")
        # Conseguir la ventana de acerca de...
        self.aboutdialog = self.glfile.get_widget("aboutdialog1")
        # Diálogo de añadir usuario
        self.dialog_adduser = self.glfile.get_widget("dialog_adduser")
        # Entrada de texto del usuario
        self.label_newuser = self.glfile.get_widget("entry_newuser")
        # Etiqueta con el usuario activo
        self.activeuser = self.glfile.get_widget("label_useractive")
        # Diálogo de elegir usuario
        self.dialog_chooseuser = self.glfile.get_widget("dialog_chooseuser")
        # Combobox de los usuarios
        self.cbusers = self.glfile.get_widget("combobox1")
        
        
        
        #Buffer de texto con el usuario de la tabla
        self.activeuser_buffer = gtk.TextBuffer(table=None)
        #Añadir al buffer el último usuario
        self.activeuser_buffer.set_text(crearsqlite.read_lastuser())
        
        # Desactivar por defecto el checkbutton
        self.checkhora.set_active(False)
        # El botón check: saber si está o no activo
        self.contienehora = self.checkhora.get_active()
        # poner la cantidad actual de euros en la etiqueta inicial
        print self.activeuser_buffer.get_text(self.activeuser_buffer.get_start_iter(),self.activeuser_buffer.get_end_iter(),True)
        loseuros = str(insertarbd.leer_euros(self.activeuser_buffer.get_text(self.activeuser_buffer.get_start_iter(),self.activeuser_buffer.get_end_iter(),True)))+"€"
        self.leuros.set_text(loseuros)
        self.activeuser.set_text(self.activeuser_buffer.get_text(self.activeuser_buffer.get_start_iter(),self.activeuser_buffer.get_end_iter(),True))
          
        # Mostrar ventana
        if(self.window):
                self.window.connect("destroy", self.cerrarapp)

    def checkbutton_changed(self, widget):
        if self.checkhora.get_active():
            print "Con hora"
            self.fecha.set_text("YYYY-MM-DD/HH:MM")
        else:
            print "Sin hora"
            self.fecha.set_text("YYYY-MM-DD")
        
    def calceuros(self, widget):
        usuario = crearsqlite.read_lastuser()
        euros = str(insertarbd.leer_euros(usuario))+"€"
        self.leuros.set_text(euros)
        return euros

    def buttonanadir(self,widget):
        usuario = self.activeuser_buffer.get_text(self.activeuser_buffer.get_start_iter(),self.activeuser_buffer.get_end_iter(),True)
        txtcant = self.cant.get_text()
        print "Cantidad:",txtcant,"€"
        txtobt = self.obt.get_text()
        print "obtenido por:",txtobt        
        txtfecha = self.fecha.get_text()
        if txtfecha == "YYYY-MM-DD" or txtfecha == "YYYY-MM-DD/HH:MM":
            txtfecha = time.strftime("%Y-%m-%d/%H:%M:%S")
        elif self.contienehora == False:
            txtfecha = txtfecha+time.strftime("/%H:%M:%S")
        elif self.contienehora == True:
            txtfecha = txtfecha+time.strftime(":%S")
        print "Fecha ", txtfecha
        insertarbd.inserta_row(txtcant,txtobt,txtfecha,usuario)
        loseuros1 = str(insertarbd.leer_euros(usuario))+"€"
        self.leuros.set_text(loseuros1)
        
    def cerrarapp(self,widget):
        print "Cerrando aplicación"
        gtk.main_quit()
    
    def mostraracercade(self,widget):
        print "Mostrar diálogo acerca de..."
        windowaboutvar = self.aboutdialog.run()
        # That allows to close the window. Hide, evidently hide the window
        if windowaboutvar == gtk.RESPONSE_DELETE_EVENT or windowaboutvar == gtk.RESPONSE_CANCEL:
            self.aboutdialog.hide()
    
    def anadirusuario(self,widget):
        print "Añadir Usuario"
        self.dialog_adduser.run()

    def close_dialog_adduser(self,widget):
        print 'Cerrar diálogo "Añadir usuario"'
        self.dialog_adduser.hide()
        
    def adduser_accept(self,widget):
        """Acción que se realiza al aceptar añadir un usuario"""
        nameuser = self.label_newuser.get_text()   
        print nameuser
        crearsqlite.anadirusuario_to_base(nameuser)
        self.activeuser.set_text(nameuser)
        self.activeuser_buffer.set_text(nameuser)
        self.dialog_adduser.hide()
    
    def choose_user(self,widget):
        print "Elegir usuario"
        global PrimeraVez
        veces = 0
        lista = []
        lista = insertarbd.leer_usuarios()
        model = gtk.ListStore(str)
        model.clear()
        print lista
        for i in lista:
            model.append([i])
        if PrimeraVez: #Esto evita que el ComboBox se alargue mucho
            """Hacer esto la primera vez"""
            PrimeraVez = False
            self.cbusers.set_model(model)
            cell = gtk.CellRendererText()
            self.cbusers.pack_start(cell, True)
            self.cbusers.add_attribute(cell, 'text', 0)
        self.calceuros
        self.dialog_chooseuser.run()
        
    def close_dialog_chooseuser(self,widget):
        print 'Cerrar diálogo "Elegir Usuario"'
        self.dialog_chooseuser.hide()
        
    def changeuser_accept(self,widget):
        modelo = self.cbusers.get_model()
        activo = self.cbusers.get_active()
        if activo < 0 :
            usuarioselec = None
        usuarioselec = modelo[activo][0]
        print "Usuario cambiado a: "+usuarioselec
        self.activeuser.set_text(usuarioselec)
        self.dialog_chooseuser.hide()
        crearsqlite.set_lastuser(usuarioselec)
        self.activeuser_buffer.set_text(usuarioselec)
    
    def ver_movimientos(self,widget):
        ventana.WindowOfMovimientos(self.activeuser_buffer.get_text(self.activeuser_buffer.get_start_iter(),self.activeuser_buffer.get_end_iter(),True))
        
if __name__ == '__main__':
    guallet = guallet()
    PrimeraVez = True
    gtk.main()        


