#!/usr/bin/env python
#-*- coding: iso-8859-15 -*-
#
#       File: setup.py
#   This script allows install the guallet package with: "sudo python ./setup.py install"
#
#       Copyright 2011 Víctor Fernández Rico <vfrico@gmail.com>
#
#       This program is free software: you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation, either version 3 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#TODO: The guallet db must be copied to a home directory
import os
from distutils.core import setup
setup(
    name='guallet',
    version="0.1.2 Beta",
    license='GPL-3',
    author='Víctor Fernández Rico',
    author_email='vfrico@gmail.com',
    description='Programa para llevar la cuenta de mi cartera',
    scripts=["guallet.py"],
    data_files=[("/usr/share/guallet/",["guallet.glade","src/guallet.png"])],
    packages=["gualletlib"]
    )

